Mailinglist Archive: opensuse-updates (50 mails)

< Previous Next >
openSUSE-SU-2015:0858-1: moderate: Security update for pcre
openSUSE Security Update: Security update for pcre
______________________________________________________________________________

Announcement ID: openSUSE-SU-2015:0858-1
Rating: moderate
References: #906574 #924960 #924961
Cross-References: CVE-2014-8964 CVE-2015-2325 CVE-2015-2326

Affected Products:
openSUSE 13.2
openSUSE 13.1
______________________________________________________________________________

An update that fixes three vulnerabilities is now available.

Description:

The regular expression library pcre was updated to 8.37 to fix three
security issues and a number of bugs and correctness issues.

The following vulnerabilities were fixed:

* CVE-2015-2325: Specially crafted regular expressions could have caused a
heap buffer overlow in compile_branch(), potentially allowing the
execution of arbitrary code. (boo#924960)
* CVE-2015-2326: Specially crafted regular expressions could have caused a
heap buffer overlow in pcre_compile2(), potentially allowing the
execution of arbitrary code. [boo#924961]
* CVE-2014-8964: Specially crafted regular expression could have caused a
denial of service (crash) or have other unspecified impact. [boo#906574]


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 13.2:

zypper in -t patch openSUSE-2015-353=1

- openSUSE 13.1:

zypper in -t patch openSUSE-2015-353=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 13.2 (i586 x86_64):

libpcre1-8.37-3.5.1
libpcre1-debuginfo-8.37-3.5.1
libpcre16-0-8.37-3.5.1
libpcre16-0-debuginfo-8.37-3.5.1
libpcrecpp0-8.37-3.5.1
libpcrecpp0-debuginfo-8.37-3.5.1
libpcreposix0-8.37-3.5.1
libpcreposix0-debuginfo-8.37-3.5.1
pcre-debugsource-8.37-3.5.1
pcre-devel-8.37-3.5.1
pcre-devel-static-8.37-3.5.1
pcre-tools-8.37-3.5.1
pcre-tools-debuginfo-8.37-3.5.1

- openSUSE 13.2 (x86_64):

libpcre1-32bit-8.37-3.5.1
libpcre1-debuginfo-32bit-8.37-3.5.1
libpcre16-0-32bit-8.37-3.5.1
libpcre16-0-debuginfo-32bit-8.37-3.5.1
libpcrecpp0-32bit-8.37-3.5.1
libpcrecpp0-debuginfo-32bit-8.37-3.5.1
libpcreposix0-32bit-8.37-3.5.1
libpcreposix0-debuginfo-32bit-8.37-3.5.1

- openSUSE 13.2 (noarch):

pcre-doc-8.37-3.5.1

- openSUSE 13.1 (i586 x86_64):

libpcre1-8.37-2.4.1
libpcre1-debuginfo-8.37-2.4.1
libpcre16-0-8.37-2.4.1
libpcre16-0-debuginfo-8.37-2.4.1
libpcrecpp0-8.37-2.4.1
libpcrecpp0-debuginfo-8.37-2.4.1
libpcreposix0-8.37-2.4.1
libpcreposix0-debuginfo-8.37-2.4.1
pcre-debugsource-8.37-2.4.1
pcre-devel-8.37-2.4.1
pcre-devel-static-8.37-2.4.1
pcre-tools-8.37-2.4.1
pcre-tools-debuginfo-8.37-2.4.1

- openSUSE 13.1 (x86_64):

libpcre1-32bit-8.37-2.4.1
libpcre1-debuginfo-32bit-8.37-2.4.1
libpcre16-0-32bit-8.37-2.4.1
libpcre16-0-debuginfo-32bit-8.37-2.4.1
libpcrecpp0-32bit-8.37-2.4.1
libpcrecpp0-debuginfo-32bit-8.37-2.4.1
libpcreposix0-32bit-8.37-2.4.1
libpcreposix0-debuginfo-32bit-8.37-2.4.1

- openSUSE 13.1 (noarch):

pcre-doc-8.37-2.4.1


References:

https://www.suse.com/security/cve/CVE-2014-8964.html
https://www.suse.com/security/cve/CVE-2015-2325.html
https://www.suse.com/security/cve/CVE-2015-2326.html
https://bugzilla.suse.com/906574
https://bugzilla.suse.com/924960
https://bugzilla.suse.com/924961


< Previous Next >
This Thread
  • No further messages